Bulk Mark Transactions Processed
curl --request POST \
--url https://api.procuros.io/v2/transactions/bulk/mark-processed \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
[
{
"procurosTransactionId": "949b2ef2-3f40-465e-a7ee-ea3f9f189860",
"success": true
},
{
"procurosTransactionId": "949b2f25-fd9d-4c58-8899-b4dc277f8cf9",
"success": false,
"errorReason": "Product GTIN '0001647296281' not found",
"errorType": "DATA"
}
]
EOFimport requests
url = "https://api.procuros.io/v2/transactions/bulk/mark-processed"
payload = [
{
"procurosTransactionId": "949b2ef2-3f40-465e-a7ee-ea3f9f189860",
"success": True
},
{
"procurosTransactionId": "949b2f25-fd9d-4c58-8899-b4dc277f8cf9",
"success": False,
"errorReason": "Product GTIN '0001647296281' not found",
"errorType": "DATA"
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{procurosTransactionId: '949b2ef2-3f40-465e-a7ee-ea3f9f189860', success: true},
{
procurosTransactionId: '949b2f25-fd9d-4c58-8899-b4dc277f8cf9',
success: false,
errorReason: 'Product GTIN \'0001647296281\' not found',
errorType: 'DATA'
}
])
};
fetch('https://api.procuros.io/v2/transactions/bulk/mark-processed', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"procurosTransactionId": "949b2ef2-3f40-465e-a7ee-ea3f9f189860",
"message": "OK."
},
{
"procurosTransactionId": "949b2f25-fd9d-4c58-8899-b4dc277f8cf9",
"message": "OK.",
"errorUrl": "https://portal.procuros.io/transactions/{{procurosTransactionId}}/errors"
}
]
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>"
}{
"message": "<string>"
}Incoming Transactions
Bulk Mark Transactions Processed
Mark a list of incoming transactions as processed in a single request.
For each item, set success to true once the transaction has been processed, or false if processing failed (optionally with an errorReason, errorType, and errorContext).
Transactions previously reported as failed can be recovered by including them again with success: true once the issue has been resolved on your side. They move to the delivered state and their associated errors are resolved automatically.
POST
/
v2
/
transactions
/
bulk
/
mark-processed
Bulk Mark Transactions Processed
Authorizations
The API Token of your ERP Connection.
Body
application/json
Expected parameters to mark transactions as processed.
Required array length:
1 - 1000 elementsShow child attributes
Show child attributes
Response
Success
Minimum array length:
1Show child attributes
Show child attributes
Was this page helpful?